## org.metaabm.commands
Class RemoveAgentActsCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.eclipse.emf.edit.command.RemoveCommand
                  org.metaabm.commands.RemoveAgentActsCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class RemoveAgentActsCommand

extends org.eclipse.emf.edit.command.RemoveCommand

Remove any agent related acts from owner and other references.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.RemoveCommand
`affectedObjects, collection, DESCRIPTION, DESCRIPTION_FOR_LIST, feature, indices, LABEL, owner, ownerList`

Fields inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`domain, overrideCommand`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`RemoveAgentActsCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection)`

Method Summary
`void` `doExecute()`
`void` `doRedo()`
`void` `doUndo()`

Methods inherited from class org.eclipse.emf.edit.command.RemoveCommand
`contains, containsExact, create, create, create, create, doGetAffectedObjects, doGetResult, getCollection, getFeature, getIndices, getOwner, getOwnerList, merge, prepare, removeExact, toString`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanExecute, doCanUndo, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, undo, updateEMap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### RemoveAgentActsCommand

    public RemoveAgentActsCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                  org.eclipse.emf.ecore.EObject owner,
                                  org.eclipse.emf.ecore.EStructuralFeature feature,
                                  java.util.Collection<?> collection)

Method Detail

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doExecute` in class `org.eclipse.emf.edit.command.RemoveCommand`

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doRedo` in class `org.eclipse.emf.edit.command.RemoveCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doUndo` in class `org.eclipse.emf.edit.command.RemoveCommand`